function UF = allencahn_post(U, problem)
% ALLENCAHN_POST 
% Postprocessing of numerical solution to Allen--Cahn eqn.
%
% SYNOPSIS:
%   uf = allencahn_F(u, pr);
%
% PARAMETERS:
%   u   - Numerical solution at some (usually final) time step.
%   pr  - Problem specific parameters of the Allen--Cahn problem.
%         Defined by ALLENCAHN. 
%
% RETURNS:
%   uf  - Processed numerical solution `u'.
%
% SEE ALSO:
%   ALLENCAHN, INTEGRATOR.

% This file is part of the 'Expint'-package,
% see http://www.math.ntnu.no/num/expint/
%
% $Revision: 1.1 $  $Date: 2005/05/04 09:14:14 $


% Ensure x is a row-vector.
x = reshape(problem.x, [1 numel(problem.x)]);

UF = U + x;
