function UF = burgers_F(U, problem)
% BURGERS_F -- Postprocessing of numerical solution to BURGERS problem
%
% SYNOPSIS:
%   uf = burgers_F(u, pr);
%
% PARAMETERS:
%   u   - Numerical solution at some (usually final) time step.
%   pr  - Problem specific parameters of the BURGERS problem.  Defined by
%         BURGERS.
%
% RETURNS:
%   uf  - Processed numerical solution `u'.
%
% SEE ALSO:
%   BURGERS, INTEGRATOR.

% This file is part of the 'Expint'-package,
% see http://www.math.ntnu.no/num/expint/
%
% $Revision: 1.3 $  $Date: 2005/05/02 14:09:13 $

UF = real(ifft(U));
