function UF = hochost_post(U, problem)
% HOCHOST_post -- Postprocessing of numerical solution to Hochbruck--Ostermann
%                problem
%
% SYNOPSIS:
%   uf = hochost_F(u, pr);
%
% PARAMETERS:
%   u   - Numerical solution at some (usually final) time step.
%   pr  - Problem specific parameters of the Hochbruck--Ostermann
%   problem. 
  
%
% RETURNS:
%   uf  - Processed numerical solution `u'.
%
% SEE ALSO:
%   HOCHOST, INTEGRATOR.

% This file is part of the 'Expint'-package,
% see http://www.math.ntnu.no/num/expint/
%
% $Revision: 1.1 $  $Date: 2005/05/04 09:14:15 $

UF = U;
