%
% A sample test file to test global order behaviour for some exponential
% integrators
%

% This file is part of the 'Expint'-package, 
% see http://www.math.ntnu.no/num/expint/
%
% $Revision: 1.1 $ $Date: 2005/04/18 09:19:32 $

problem = ho('ND', 64, 'IC', 'smooth');

tspan = [0, 1];
steplist=round(10.^(2:-0.1:0)); 
dt = diff(tspan)./steplist;

% Set up choice of schemes and placeholder for results:
M = setupschemes('abnorsett4', 'lawson4', 'etd4rk', 'hochost4', 'cranknicolson', ...
    'genlawson43');

% Set relative stages for the first method.
M{1}.relstages = 4;

% Do the global order test. The M structure is returned augmented.
M = globalorder(problem, tspan, dt, M, 'hochost4');

% Plot the results
orderplot(M, 'Timestep h', 'Error', ['Global error, ', problem.problemname]);

